漏洞信息详情

SQLite 缓冲区错误漏洞

  • CNNVD编号:CNNVD-202006-1768
  • 危害等级: 中危
  • CVE编号: CVE-2020-15358
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2020-06-27
  • 威胁类型: 本地
  • 更新时间: 2020-07-14
  • 厂        商:
  • 漏洞来源:

漏洞简介

SQLite是美国D.Richard Hipp软件开发者的一套基于C语言的开源嵌入式关系数据库管理系统。该系统具有独立性、隔离性、跨平台等特点。

SQLite 3.32.3之前版本中的multiSelectOrderBy存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.sqlite.org/src/tktview?name=8f157e8010

参考网址

来源:MISC

链接:https://www.sqlite.org/src/tktview?name=8f157e8010

来源:CONFIRM

链接:https://security.netapp.com/advisory/ntap-20200709-0001/

来源:MISC

链接:https://www.sqlite.org/src/info/10fa79d00f8091e5

来源:MISC

链接:https://www.sqlite.org/src/timeline?p=version-3.32.3&bt=version-3.32.2

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/46984

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-15358

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/SQLite-buffer-overflow-via-Query-Flattener-Optimization-32637

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多